%global _enable_devel_packages 1

Summary: A minimalistic plugin API for video effects
Name: frei0r-plugins
Version: 1.6.1
Release: 5%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://frei0r.dyne.org/
Source0: ftp://ftp.dyne.org/frei0r/releases/frei0r-plugins-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: opencv-devel >= 1.0.0, gavl-devel >= 0.2.3
BuildRequires: cairo-devel
BuildRequires: autoconf

%description
Frei0r is a minimalistic plugin API for video effects.

The main emphasis is on simplicity for an API that will round up the
most common video effects into simple filters, sources and mixers that
can be controlled by parameters.

%package -n frei0r-devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}


%description -n frei0r-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

if test "%{_docdir}/%{name}" != "%{_pkgdocdir}"; then
  mkdir -p %{buildroot}%{_pkgdocdir}
  mv %{buildroot}%{_docdir}/%{name}/* %{buildroot}%{_pkgdocdir}
  rmdir %{buildroot}%{_docdir}/%{name}
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt ChangeLog.txt TODO.txt AUTHORS.txt
%{_libdir}/frei0r-1

%files -n frei0r-devel
%defattr(-,root,root,0755)
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc

%changelog
* Wed Aug 07 2019 Stephen Collier <stephenbcollier@gmail.com> - 1.6.1-5
- change dev package layout

* Sat May 04 2019 Stephen Collier <stephenbcollier@gmail.com> - 1.6.1-4
- Update to 1.6.1

* Wed Oct 26 2016 Stephen Collier <stephenbcollier@gmail.com> - 1.5-3
- Update to 1.5.

* Mon Mar 17 2014 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.4-2
- Update to 1.4.

* Mon Mar 14 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3-1
- Initial build.
